Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160292 - avc denied cups-lpd
Summary: avc denied cups-lpd
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-14 07:48 UTC by Iain Arnell
Modified: 2007-11-30 22:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-27 11:17:33 UTC


Attachments (Terms of Use)

Description Iain Arnell 2005-06-14 07:48:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
cups-lpd is not working.

audit.log shows:

type=SYSCALL msg=audit(1118734940.160:1361988): arch=40000003 syscall=11 success=yes exit=0 a0=948b438 a1=9486690 a2=9486f08 a3=bf912b34 items=2 pid=3199 auid=4294967295 uid=4 gid=7 euid=4 suid=4 fsuid=4 egid=7 sgid=7 fsgid=7 comm="cups-lpd" exe="/usr/lib/cups/daemon/cups-lpd"
type=AVC msg=audit(1118734940.160:1361988): avc:  denied  { read write } for  pid=3199 comm="cups-lpd" name=[16136] dev=sockfs ino=16136 scontext=system_u:system_r:cupsd_t tcontext=system_u:system_r:inetd_t tclass=tcp_socket
type=AVC msg=audit(1118734940.160:1361988): avc:  denied  { read write } for  pid=3199 comm="cups-lpd" name=[16136] dev=sockfs ino=16136 scontext=system_u:system_r:cupsd_t tcontext=system_u:system_r:inetd_t tclass=tcp_socket
type=AVC msg=audit(1118734940.160:1361988): avc:  denied  { read write } for  pid=3199 comm="cups-lpd" name=[16136] dev=sockfs ino=16136 scontext=system_u:system_r:cupsd_t tcontext=system_u:system_r:inetd_t tclass=tcp_socket

Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.23.16-6

How reproducible:
Always

Steps to Reproduce:
1. Installed cups-lpd-1.1.23-15 (and xinetd-2.3.13-6)
2. configured a printer, shared it and enabled lpd (using system-config-printer)
3. rebooted
4. tail /var/log/audit.log

Additional info:

Comment 2 Daniel Walsh 2005-06-26 11:38:45 UTC
fixed in selinux-policy-targeted-1.23.18-12

Comment 3 Iain Arnell 2005-06-27 06:10:46 UTC
Confirming - selinux-policy-targeted-1.23.18-12 solves the problem.


Note You need to log in before you can comment on or make changes to this bug.